[Unit]
Description=NYQUIST Appliance Service
After=multi-user.target
Requires=appliance-env.service
OnFailure=red-led-on.service
StartLimitInterval=0

[Service]
Type=simple
WatchdogSec=5s
ExecStart=/usr/sbin/nyq-appliance device_id=${APPLIANCE_PART}
ExecReload=/bin/kill -HUP $MAINPID
ExecStartPost=-/usr/local/bin/led_controller power green on
#EnvironmentFile=-/run/appliance-env
KillMode=process
Restart=always
RestartSec=5s
StandardInput=null
StandardOutput=journal
StandardError=journal+console

[Install]
WantedBy=multi-user.target